#!/bin/sh
# @(#)mailer.sh	1.1
#         Copyright 1992, American Power Conversion, Inc.
#
# NAME: mailer.sh
#
# PATH: /usr3/SCCS/BREAKOFF/UNIX/PCPLUS4.2/s.mailer.sh
#
# REV: 1.1
#
# LAST MODIFIED: 10/6/95 14:05:21
#
# DESCRIPTION: 
#
# REFERENCES:
#
# NOTES:
#
# REVISIONS:
# ajr30Jun94: Created.
# mds16Nov98: Security - Make sure we only delete files that are in the 
#             powerchute TMPDIR
# mds10Dec98: Security - Made TMPDIR an environment variable instead of 
#             a script parameter and also added PWRCHUTE env variable 
#

PATH=/bin:/usr/bin:/sbin:/usr/sbin:/etc:/usr/ccs/bin
export PATH

PWRCHUTE=/usr/lib/powerchute
TMPDIR=$PWRCHUTE/.tmp
export TMPDIR
export PWRCHUTE

USR_LIST=$1
MSG=$2


if [ -s "$USR_LIST" ]
then
        set `cat $USR_LIST`
	while [ ! -z "$1" ]
        do
		cat $MSG | mail $1
		shift;
	done
fi

# only delete files if they are in the pwrchute TMPDIR
MATCH=`expr match $USR_LIST $TMPDIR`
if [ $MATCH -ne 0 ]
	then
   	rm -f $USR_LIST
fi

MATCH=`expr match $MSG $TMPDIR`
if [ $MATCH -ne 0 ]
	then
   	rm -f $MSG
fi




