#!/bin/sh
#
#----------------------------------------------------------------------
#
# @(#)addpage.sh      
#         Copyright 1994-1999 American Power Conversion, Inc.
#
# DESCRIPTION: addpage.sh - Appends a set of dialing commands
#			    to a dialing script
#
#----------------------------------------------------------------------
#
# Args:
#	$1 - Script Name
#	$2 - Command
#	$3 - Delay
#
# msamson27Jan99: Had to modify for Unixware 7 to compensate for cu
#                 bugs
# msamson29Apr99: For Linux, no longer add ~!sleep commands. Now we
#                 just add the delay and dialpager.sh will take care
#                 of the sleep on this delay
#
#----------------------------------------------------------------------

script=$1
cmd=$2
delay=$3

. ./what_os.sh

case "$OS" in
    $UWARE7)
        echo -n '~+echo -n "' >> $script 
        echo -n $cmd'\\r\\n"' >> $script
        echo -n "\r\n" >> $script
        ;; 
     
    $LINUX)
        echo "$cmd" >> $script
	;; 
    *)
	echo $cmd >> $script
	#echo -n $cmd >> $script 
	#echo "^M" >> $script			
    ;;
esac

. ./what_os.sh

if [ "$OS" = "$LINUX" ]
then 
    echo "$delay" >> $script
else
    echo "~!sleep $delay" >> $script
fi




