#!/bin/sh
# 
# Copyright 1999 American Power Conversion, All Rights Reserved
#
# Description: This file kills the _upsd daemon. Please note that when the
#              the daemon exits, it kills all instances of _xpwrchute (GUI)
#              and _bkupsd (simple signalling daemon). 
#
# Usage: ./killpc.sh
#

if [ -s upsd.pid ]
then
	set `cat upsd.pid`
	echo "Killing upsd instance running with pid $1"
	kill $1
	rm -f upsd.pid
	echo "Done."
else
	echo "No instance of upsd detected to be running!"
fi

