#!/bin/sh
# @(#)wall.sh	1.12
#         Copyright 1992, American Power Conversion, Inc.
#
# NAME: wall.sh
#
# PATH: /usr3/SCCS/BREAKOFF/UNIX/PCPLUS4.2/s.wall.sh
#
# REV: 1.12
#
# LAST MODIFIED: 11/2/95 16:43:22
#
# DESCRIPTION: 
#
# REFERENCES:
#
# NOTES:
#
# REVISIONS:
#  xxxddMMMyy 
# ajr23May94: Fixed wall broadcast ordering bug.....
# ajr01Jul94: lets pass in the file to be broadcast...
# ajr08Jul94: Fixed uwall() to work with passed in broadcast message file.
# djs13Oct95: port to UnixWare 2.x
# djs18Oct95: UnixWare cannot write to /dev/pts000
#

PATH=/bin:/usr/bin:/sbin:/usr/sbin:/etc:/usr/ccs/bin
export PATH

MSG=$1

uwall() {

	msg=$1

	ls -ld /dev/pts* | awk  '{ 
	if ($4 ~ /tty/) { print "/bin/cat $1  > " $10 } 
	}' > xwall.tmp
	mv xwall.tmp xwall.tmp.bak
        sed '1d' xwall.tmp.bak > xwall.tmp
	rm -f xwall.tmp.bak
	/bin/cat $msg > /dev/console
	chmod ugo+x ./xwall.tmp
	./xwall.tmp $msg 2>/dev/null
	rm -f ./xwall.tmp
}


if [ -r $MSG ]
then

	. ./what_os.sh

	case "$OS" in
		$UWARE1)
			echo "calling uwall"
			uwall $MSG
		;;

		*)
			cat $MSG | wall
		;;
	esac

	rm -f $MSG
fi
	













